## libio-page-ocaml 1.1.1

=== Makefile ===
CONFIGUREFLAGS = --enable-tests

# OASIS_START
# DO NOT EDIT (digest: 7b2408909643717852b95f994b273fee)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all:
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean:
	$(SETUP) -clean $(CLEANFLAGS)

distclean:
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

=== debian/changelog ===
libio-page-ocaml (1.1.1-2) UNRELEASED; urgency=low

  * Split files corrrectly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Fri, 30 May 2014 12:00:00 +0000

libio-page-ocaml (1.1.1-1) UNRELEASED; urgency=low

  * Initial package

 -- Euan Harris <euan.harris@citrix.com>  Tue, 01 Apr 2014 12:00:00 +0000

=== debian/control ===
Source: libio-page-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 ocaml-findlib,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 libcstruct-ocaml-dev

Package: libio-page-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Efficient handling of I/O memory pages on Unix and Xen.
 This library implements support for efficient handling of I/O memory
 pages on Unix and Xen.
 .
 IO pages are page-aligned, and wrapped in the Cstruct library to
 avoid copying the data contained within the page.

Package: libio-page-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libio-page-ocaml (>= 1.1.1-2),
 libcstruct-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-io-page
 The ocaml-io-page-devel package contains libraries and signature
 files for developing applications that use ocaml-io-page.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libio-page-ocaml/usr/lib/ocaml/io-page/*.a
	rm -f debian/libio-page-ocaml/usr/lib/ocaml/io-page/*.cmxa
	rm -f debian/libio-page-ocaml/usr/lib/ocaml/io-page/*.cmx
	rm -f debian/libio-page-ocaml/usr/lib/ocaml/io-page/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
